## getdns 1.6.0

=== stubby/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

if (POLICY CMP0075)
  cmake_policy(SET CMP0075 NEW)
endif ()

# The following must be set BEFORE doing project() or enable_language().
if (NOT CMAKE_BUILD_TYPE)
  message(STATUS "No build type defined; defaulting to 'Debug'")
  set(CMAKE_BUILD_TYPE "Debug" CACHE STRING
    "The type of build. Possible values are: Debug, Release, RelWithDebInfo and MinSizeRel.")
endif ()

set(PACKAGE "stubby")
set(PACKAGE_NAME "Stubby")
set(PACKAGE_VERSION "0.3.0")
set(PACKAGE_BUGREPORT "team@getdnsapi.net")
set(RELEASE_CANDIDATE "")

set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}${RELEASE_CANDIDATE}")
set(PACKAGE_TARNAME "${PACKAGE}-${PACKAGE_VERSION}${RELEASE_CANDIDATE}")

set(STUBBY_PACKAGE "${PACKAGE}")
set(STUBBY_PACKAGE_STRING "${PACKAGE_STRING}")

project (stubby VERSION ${PACKAGE_VERSION} LANGUAGES C)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

include(CheckIncludeFile)
include(CheckSymbolExists)
include(GNUInstallDirs)
include(CMakeDependentOption)

# Options.
find_package(Libsystemd)
if (Libsystemd_FOUND)
  option(ENABLE_SYSTEMD "Enable systemd support." ON)
endif()

# Directories
if (DEFINED CMAKE_INSTALL_FULL_RUNSTATEDIR)
  set(RUNSTATEDIR "${CMAKE_INSTALL_FULL_RUNSTATEDIR}")
else ()
  set(RUNSTATEDIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/run")
endif ()
install(DIRECTORY
  DESTINATION ${RUNSTATEDIR}
  DIRECTORY_PERMISSIONS
  OWNER_READ OWNER_WRITE OWNER_EXECUTE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  )
set(STUBBYCONFDIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/stubby")

find_package(Libyaml REQUIRED)

if (WIN32)
  set(STUBBY_ON_WINDOWS 1)
endif ()

check_include_file(os/log.h HAVE_OS_LOG_H)
check_include_file(inttypes.h HAVE_INTTYPES_H)
check_include_file(sys/types.h HAVE_SYS_TYPES_H)

option(ENABLE_DEBUG_ALL "Enable all debugging messages.")
cmake_dependent_option(ENABLE_DEBUG_SERVER "Enable server debugging messages." OFF "NOT ENABLE_DEBUG_ALL" ON)
set(SERVER_DEBUG ${ENABLE_DEBUG_SERVER})


check_symbol_exists(getopt "unistd.h" HAVE_GETOPT)

# Does the compiler accept the "format" attribute?
try_compile(HAVE_ATTR_FORMAT
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/tests/test_format_attr.c
  )
# Does the compiler accept the "unused" attribute?
try_compile(HAVE_ATTR_UNUSED
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/tests/test_unused_attr.c
  )

configure_file(cmake/include/cmakeconfig.h.in config.h)
set(ETCDIR "${STUBBYCONFDIR}")
configure_file(doc/stubby.1.in stubby.1 @ONLY)

add_executable(stubby
  src/stubby.c
  src/yaml/convert_yaml_to_json.c
  src/sldns/sbuffer.c
  )
if (NOT HAVE_GETOPT)
  target_sources(stubby PRIVATE src/compat/getopt.c)
  target_include_directories(stubby PRIVATE src/compat)
endif ()

target_include_directories(stubby PRIVATE src ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(stubby PRIVATE Libyaml::Libyaml)
if (ENABLE_SYSTEMD)
  target_link_libraries(stubby PRIVATE Libsystemd::Libsystemd)
endif()
# Are we being built from getdns? If so, use the build tree getdns.
if (TARGET getdns)
  target_link_libraries(stubby PRIVATE getdns)
else ()
  find_package(Getdns "1.5.0" REQUIRED)
  target_link_libraries(stubby PRIVATE Getdns::Getdns)
endif ()
set_property(TARGET stubby PROPERTY C_STANDARD 11)

install(TARGETS stubby DESTINATION bin)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/stubby.1 DESTINATION share/man/man1)
install(FILES AUTHORS COPYING ChangeLog NEWS README.md DESTINATION share/doc/stubby)

# Ensure the file gets CRLF line endings on Windows.
file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/stubby.yml INPUT ${CMAKE_CURRENT_SOURCE_DIR}/stubby.yml.example)
# Copy to destination iff no destination file exists.
install(CODE "\
  set(targetdir ${STUBBYCONFDIR})\n\
  if (\$ENV{DESTDIR})\n\
    set(targetdir \$ENV{DESTDIR}/\${targetdir})\n\
  endif ()\n\
  if (NOT EXISTS \${targetdir}/stubby.yml)\n\
    file(COPY ${CMAKE_CURRENT_BINARY_DIR}/stubby.yml DESTINATION \${targetdir})\n\
  endif ()")

if (APPLE)
  find_library(security Security REQUIRED)
  add_executable(stubby-ui-helper macos/stubby-ui-helper.c)
  target_include_directories(stubby-ui-helper PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
  target_link_libraries(stubby-ui-helper ${security})

  install(FILES macos/stubby-setdns-macos.sh DESTINATION sbin)
endif ()

## getdns 0.1.4

=== debian/changelog ===
getdns (0.1.4-1) unstable; urgency=medium

  * Fix Vcs-URLs to point to anonscm.debian.org
  * New upstream version 0.1.4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Sep 2014 11:31:13 +0200

getdns (0.1.3-1) unstable; urgency=medium

  * Initial release (Closes: #741011)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jun 2014 13:48:19 +0200

=== debian/control ===
Source: getdns
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
	       autotools-dev,
	       dh-autoreconf,
	       libunbound-dev,
	       libldns-dev,
	       libexpat-dev,
	       libidn11-dev,
	       check,
	       libevent-dev,
	       unbound-anchor,
	       iputils-ping
Standards-Version: 3.9.5
Section: libs
Homepage: http://getdnsapi.net/
Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/getdns.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/getdns.git;a=summary

Package: libgetdns-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 libgetdns0 (= ${binary:Version})
Description: modern asynchronous DNS API (development)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This is the full development version of the library.

Package: libgetdns0
Section: libs
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 dns-root-data
Description: modern asynchronous DNS API (shared library)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 This is the runtime package of the library.

Package: libgetdns-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Recommends: gdb
Depends: ${misc:Depends}, libgetdns0 (= ${binary:Version})
Description: modern asynchronous DNS API (debug symbols)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  With the development
 of this API, we intend to offer application developers a modernized
 and flexible way to access DNS security (DNSSEC) and other powerful
 new DNS features; a particular hope is to inspire application
 developers towards innovative security solutions in their
 applications.
 .
 These are the debug symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev,autoreconf

override_dh_autoconfigure:
	dh_autoconfigure -- \
		--with-libevent \
		--with-trust-anchor=/usr/share/dns/root.key

override_dh_strip:
	dh_strip --dbg-package=libgetdns-dbg

override_dh_install:
	-rm -rf $(CURDIR)/debian/tmp/usr/share/doc
	dh_install --fail-missing -X.la

override_dh_auto_test:
	# remote tests fail when there's no connectivity
	if ping -q -c 1 getdnsapi.org >/dev/null; then \
		dh_auto_test; \
	else \
		echo "Skipping tests due missing connectivity"; \
	fi

## getdns 0.1.5

=== debian/changelog ===
getdns (0.1.5-1) unstable; urgency=medium

  * New upstream version 0.1.5
  * Build-Depends on libev-dev, libuv-dev and libevent-dev
  * Beautify d/control with wrap-and-sort -a
  * Add symbols file for libraries

 -- Ondřej Surý <ondrej@debian.org>  Sun, 02 Nov 2014 13:29:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: getdns
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 9),
-	       autotools-dev,
-	       dh-autoreconf,
-	       libunbound-dev,
-	       libldns-dev,
-	       libexpat-dev,
-	       libidn11-dev,
-	       check,
-	       libevent-dev,
-	       unbound-anchor,
-	       iputils-ping
+Build-Depends: autotools-dev,
+               check,
+               debhelper (>= 9),
+               dh-autoreconf,
+               iputils-ping,
+               libev-dev,
+               libevent-dev,
+               libexpat-dev,
+               libidn11-dev,
+               libldns-dev,
+               libunbound-dev,
+               libuv0.10-dev,
+               unbound-anchor
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://getdnsapi.net/
@@ -21,9 +23,9 @@
 Package: libgetdns-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends},
-	 ${misc:Depends},
-	 libgetdns0 (= ${binary:Version})
+Depends: libgetdns0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: modern asynchronous DNS API (development)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
@@ -40,9 +42,9 @@
 Section: libs
 Multi-Arch: same
 Architecture: any
-Depends: ${shlibs:Depends},
-	 ${misc:Depends},
-	 dns-root-data
+Depends: dns-root-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: modern asynchronous DNS API (shared library)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
@@ -61,7 +63,8 @@
 Section: debug
 Priority: extra
 Recommends: gdb
-Depends: ${misc:Depends}, libgetdns0 (= ${binary:Version})
+Depends: libgetdns0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: modern asynchronous DNS API (debug symbols)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,11 @@
 %:
 	dh $@  --with autotools-dev,autoreconf
 
-override_dh_autoconfigure:
-	dh_autoconfigure -- \
+override_dh_auto_configure:
+	dh_auto_configure -- \
 		--with-libevent \
+		--with-libev \
+		--with-libuv \
 		--with-trust-anchor=/usr/share/dns/root.key
 
 override_dh_strip:

=== debian/watch ===
version=3
http://getdnsapi.net/dist/getdns-(.*)\.tar\.gz

## getdns 0.1.6

=== debian/changelog ===
getdns (0.1.6-1) unstable; urgency=medium

  * New upstream version 0.1.6
  * Add --with-current-date to allow reproducible builds and set the value
    to changelog last entry Date (Closes: #775696)
  * Add missing upstream autoconf macro

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jan 2015 09:36:28 +0100

getdns (0.1.5-2) unstable; urgency=medium

  * SONAME was bumped, rename libgetdns0 to libgetdns1
  * Add Conflicts/Replaces for faulty libgetdns0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Nov 2014 11:12:47 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Package: libgetdns-dev
 Section: libdevel
 Architecture: any
-Depends: libgetdns0 (= ${binary:Version}),
+Depends: libgetdns1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: modern asynchronous DNS API (development)
@@ -38,13 +38,15 @@
  .
  This is the full development version of the library.
 
-Package: libgetdns0
+Package: libgetdns1
 Section: libs
 Multi-Arch: same
 Architecture: any
 Depends: dns-root-data,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libgetdns0 (>= 1.2.5-1~)
+Replaces: libgetdns0 (>= 1.2.5-1~)
 Description: modern asynchronous DNS API (shared library)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
@@ -63,7 +65,7 @@
 Section: debug
 Priority: extra
 Recommends: gdb
-Depends: libgetdns0 (= ${binary:Version}),
+Depends: libgetdns1 (= ${binary:Version}),
          ${misc:Depends}
 Description: modern asynchronous DNS API (debug symbols)
  getdns is a modern asynchronous DNS API.  It implements DNS entry

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+CURRENT_DATE=$(shell date --rfc-3339=seconds --date "$(dpkg-parsechangelog --show-field Date)")
+
 %:
 	dh $@  --with autotools-dev,autoreconf
 
@@ -17,7 +19,8 @@
 		--with-libevent \
 		--with-libev \
 		--with-libuv \
-		--with-trust-anchor=/usr/share/dns/root.key
+		--with-trust-anchor=/usr/share/dns/root.key \
+		--with-current-date="$(CURRENT_DATE)"
 
 override_dh_strip:
 	dh_strip --dbg-package=libgetdns-dbg

## getdns 0.1.8

=== debian/changelog ===
getdns (0.1.8-1) unstable; urgency=medium

  * New upstream version 0.1.8
  * Update libversion patch to 0.1.8
  * Check library symbols with -c4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Apr 2015 11:33:49 +0200

getdns (0.1.7-1.1) unstable; urgency=medium

  * Non-maintainer Upload
  * Fix libversion numbering (Closes: #782799)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Apr 2015 20:46:35 -0400

getdns (0.1.7-1) unstable; urgency=medium

  * New upstream version 0.1.7
  * Remove all patches - they have been merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Apr 2015 10:13:22 +0200

getdns (0.1.6-4) unstable; urgency=medium

  * iputils-ping is no longer needed as part of #778939 fix and it's also
    not installable on non-Linux architectures, so we just get rid of it

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Mar 2015 14:13:04 +0100

getdns (0.1.6-3) unstable; urgency=medium

  * Switch to gbp pq patch management
  * Add Scott Kitterman to uploaders
  * Run the tests every time, but don't fail when tests fail (Closes: #778939)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Mar 2015 13:16:27 +0100

getdns (0.1.6-2) unstable; urgency=medium

  * Fix version number in Breaks+Replaces (Closes: #779111)
  * Update copyright years and add license for strlcpy.c

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Feb 2015 10:52:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: getdns
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>
 Build-Depends: autotools-dev,
                check,
                debhelper (>= 9),
                dh-autoreconf,
-               iputils-ping,
                libev-dev,
                libevent-dev,
                libexpat-dev,
@@ -45,8 +45,8 @@
 Depends: dns-root-data,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libgetdns0 (>= 1.2.5-1~)
-Replaces: libgetdns0 (>= 1.2.5-1~)
+Breaks: libgetdns0 (>= 0.1.5-1~)
+Replaces: libgetdns0 (>= 0.1.5-1~)
 Description: modern asynchronous DNS API (shared library)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 #export DH_VERBOSE=1
 
 CURRENT_DATE=$(shell date --rfc-3339=seconds --date "$(dpkg-parsechangelog --show-field Date)")
+
+export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 %:
 	dh $@  --with autotools-dev,autoreconf
@@ -30,9 +32,5 @@
 	dh_install --fail-missing -X.la
 
 override_dh_auto_test:
-	# remote tests fail when there's no connectivity
-	if ping -q -c 1 getdnsapi.org >/dev/null; then \
-		dh_auto_test; \
-	else \
-		echo "Skipping tests due missing connectivity"; \
-	fi
+	# remote tests fail when there's no connectivity or the connectivity is restrained
+	-dh_auto_test

## getdns 0.2.0

=== debian/changelog ===
getdns (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 21 May 2015 10:00:09 -0400

getdns (0.2.0~rc1-1) experimental; urgency=medium

  * new upstream release candidate.
  * added myself to uploaders
  * Bumped Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 May 2015 09:00:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: getdns
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>
+Uploaders: Scott Kitterman <scott@kitterman.com>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: autotools-dev,
                check,
                debhelper (>= 9),
@@ -14,7 +14,7 @@
                libunbound-dev,
                libuv0.10-dev,
                unbound-anchor
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://getdnsapi.net/
 Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/getdns.git

## getdns 0.3.0

=== debian/changelog ===
getdns (0.3.0-1) unstable; urgency=medium

  * new upstream release
  * move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 18 Jul 2015 00:58:51 +0200

getdns (0.3.0~rc1-1) experimental; urgency=medium

  * new upstream version.
  * update the API "string version" to match the new spec

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 12 Jul 2015 23:05:35 -0400

getdns (0.2.0-2) unstable; urgency=medium

  * make the compilation comment independent of the TZ
  * stabilize the "date" in the man pages to match the API "string
    version"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 08 Jul 2015 13:53:27 -0400

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://getdnsapi.net/dist/getdns-(.*)\.tar\.gz

## getdns 0.3.1

=== debian/changelog ===
getdns (0.3.1-1) unstable; urgency=medium

  * new upstream bugfix release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 18 Jul 2015 18:28:27 +0200

## getdns 0.3.3

=== debian/changelog ===
getdns (0.3.3-1) unstable; urgency=medium

  * New upstream release
  * remove d/patches/*, applied upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Sep 2015 07:44:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: getdns
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Uploaders: Scott Kitterman <scott@kitterman.com>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: autotools-dev,
                check,
                debhelper (>= 9),
@@ -23,9 +24,7 @@
 Package: libgetdns-dev
 Section: libdevel
 Architecture: any
-Depends: libgetdns1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libgetdns1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: modern asynchronous DNS API (development)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
@@ -42,9 +41,7 @@
 Section: libs
 Multi-Arch: same
 Architecture: any
-Depends: dns-root-data,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: dns-root-data, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libgetdns0 (>= 0.1.5-1~)
 Replaces: libgetdns0 (>= 0.1.5-1~)
 Description: modern asynchronous DNS API (shared library)
@@ -65,8 +62,7 @@
 Section: debug
 Priority: extra
 Recommends: gdb
-Depends: libgetdns1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libgetdns1 (= ${binary:Version}), ${misc:Depends}
 Description: modern asynchronous DNS API (debug symbols)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,

## getdns 0.5.0

=== debian/changelog ===
getdns (0.5.0-3) unstable; urgency=medium

  * switch from libuv0.10 to libuv1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 05 Nov 2015 07:02:16 +0900

getdns (0.5.0-2) unstable; urgency=medium

  * move to unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 30 Oct 2015 21:21:32 +0900

getdns (0.5.0-1) experimental; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 30 Oct 2015 20:18:58 +0900

getdns (0.5.0~rc1-1) experimental; urgency=medium

  * new upstream release candidate

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 30 Oct 2015 15:15:07 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libidn11-dev,
                libldns-dev,
                libunbound-dev,
-               libuv0.10-dev,
+               libuv1-dev,
                unbound-anchor
 Standards-Version: 3.9.6
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CURRENT_DATE=$(shell date --rfc-3339=seconds --date "$(dpkg-parsechangelog --show-field Date)")
+CURRENT_DATE=$(shell date -u --rfc-3339=seconds --date "$(dpkg-parsechangelog --show-field Date)")
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4

## getdns 0.5.1

=== debian/changelog ===
getdns (0.5.1-2) unstable; urgency=medium

  * Move getdns under pkg-dns team umbrella packaging

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Dec 2015 15:03:23 +0100

getdns (0.5.1-1) unstable; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 18 Nov 2015 15:15:50 -0500

getdns (0.5.1~rc1-1) experimental; urgency=medium

  * new upstream release candidate

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 Nov 2015 16:21:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: getdns
 Priority: extra
-Maintainer: Ondřej Surý <ondrej@debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>,
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>,
+	   Scott Kitterman <scott@kitterman.com>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: autotools-dev,
                check,
@@ -18,8 +19,8 @@
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://getdnsapi.net/
-Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/getdns.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/getdns.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-dns/getdns.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-dns/getdns.git;a=summary
 
 Package: libgetdns-dev
 Section: libdevel

## getdns 0.9.0

=== debian/changelog ===
getdns (0.9.0-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * updated Homepage and Vcs-* URLs to use https
  * canonicalize with wrap-and-sort

  [ Ondřej Surý ]
  * Imported Upstream version 0.9.0
  * Install upstream pkgconfig getdns.pc
  * Add new symbols to libgetdns1.symbols

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Jan 2016 12:52:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
-	   Scott Kitterman <scott@kitterman.com>,
+           Scott Kitterman <scott@kitterman.com>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: autotools-dev,
                check,
@@ -18,9 +18,9 @@
                unbound-anchor
 Standards-Version: 3.9.6
 Section: libs
-Homepage: http://getdnsapi.net/
-Vcs-Git: git://anonscm.debian.org/pkg-dns/getdns.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-dns/getdns.git;a=summary
+Homepage: https://getdnsapi.net/
+Vcs-Git: https://anonscm.debian.org/git/pkg-dns/getdns.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/getdns.git/
 
 Package: libgetdns-dev
 Section: libdevel

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/rc/~rc/ \
https://getdnsapi.net/dist/getdns-(.*)\.tar\.gz

## getdns 1.0.0~b2

=== debian/changelog ===
getdns (1.0.0~b2-1) unstable; urgency=medium

  * New uptream version
  * Bump standards-version to 3.9.8 (no changes needed)
  * update debian/watch to detect alpha and beta versions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Jul 2016 17:22:30 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libunbound-dev,
                libuv1-dev,
                unbound-anchor
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://getdnsapi.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-dns/getdns.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/getdns.git/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/getdns.git
 
 Package: libgetdns-dev
 Section: libdevel
@@ -56,22 +56,3 @@
  applications.
  .
  This is the runtime package of the library.
-
-Package: libgetdns-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Recommends: gdb
-Depends: libgetdns1 (= ${binary:Version}), ${misc:Depends}
-Description: modern asynchronous DNS API (debug symbols)
- getdns is a modern asynchronous DNS API.  It implements DNS entry
- points from a design developed and vetted by application developers,
- in an API specification edited by Paul Hoffman.  With the development
- of this API, we intend to offer application developers a modernized
- and flexible way to access DNS security (DNSSEC) and other powerful
- new DNS features; a particular hope is to inspire application
- developers towards innovative security solutions in their
- applications.
- .
- These are the debug symbols for the library.

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,6 @@
 		--with-trust-anchor=/usr/share/dns/root.key \
 		--with-current-date="$(CURRENT_DATE)"
 
-override_dh_strip:
-	dh_strip --dbg-package=libgetdns-dbg
-
 override_dh_install:
 	-rm -rf $(CURDIR)/debian/tmp/usr/share/doc
 	dh_install --fail-missing -X.la

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(a|b|rc)/~\\1/ \
https://getdnsapi.net/dist/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## getdns 1.1.0~a2

=== debian/changelog ===
getdns (1.1.0~a2-2) unstable; urgency=medium

  * Use upstream provided src/jsmn/ (Closes: #849577)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Mar 2017 11:48:09 +0100

getdns (1.1.0~a2-1) unstable; urgency=medium

  * Fix CURRENT_DATE generation for reproducible builds (Closes: #797215)
  * Imported Upstream version 1.1.0~a2
   + OpenSSL 1.1 support (Closes: #828309)
  * Run automake -a before running dh_autoreconf
  * Add src/jsmn/ to sources
  * Fix OpenSSL 1.1.0 compatibility defines
  * Add getdns-utils package with utilities
  * Update libgetdns1 symbols file

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 21:56:21 +0100

=== debian/control ===
--- 
+++ 
@@ -56,3 +56,18 @@
  applications.
  .
  This is the runtime package of the library.
+
+Package: getdns-utils
+Architecture: any
+Depends: libgetdns1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: modern asynchronous DNS API (utils)
+ getdns is a modern asynchronous DNS API.  It implements DNS entry
+ points from a design developed and vetted by application developers,
+ in an API specification edited by Paul Hoffman.  With the development
+ of this API, we intend to offer application developers a modernized
+ and flexible way to access DNS security (DNSSEC) and other powerful
+ new DNS features; a particular hope is to inspire application
+ developers towards innovative security solutions in their
+ applications.
+ .
+ This package contains getdns-query and stubby utilities.

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,16 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CURRENT_DATE=$(shell date -u --rfc-3339=seconds --date "$(dpkg-parsechangelog --show-field Date)")
+CURRENT_DATE=$(shell date -u --rfc-3339=seconds --date "$(shell dpkg-parsechangelog --show-field Date)")
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 %:
 	dh $@  --with autotools-dev,autoreconf
+
+override_dh_autoreconf:
+	automake -a || true
+	dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## getdns 1.1.0

=== debian/changelog ===
getdns (1.1.0-2build1) artful; urgency=medium

  * No-change rebuild against libevent-core-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 01:27:49 +0000

getdns (1.1.0-2) unstable; urgency=medium

  * Add d/README.source to help with importing sources from the upstream
    git repository
  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jun 2017 11:31:41 +0200

getdns (1.1.0-1) experimental; urgency=medium

  * New upstream version
   - to experimental to avoid hurting the freeze
   - dropped debian/patches, all integrated upstream
   - moved from libgetdns1 to libgetdns6

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Apr 2017 07:37:34 -0700

=== debian/control ===
Source: getdns
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: autotools-dev,
               check,
               debhelper (>= 9),
               dh-autoreconf,
               libev-dev,
               libevent-dev,
               libexpat-dev,
               libidn11-dev,
               libldns-dev,
               libunbound-dev,
               libuv1-dev,
               unbound-anchor
Standards-Version: 3.9.8
Section: libs
Homepage: https://getdnsapi.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-dns/getdns.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/getdns.git

Package: libgetdns-dev
Section: libdevel
Architecture: any
Depends: libgetdns6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: modern asynchronous DNS API (development)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  This API intends to
 offer application developers a modernized and flexible way to access
 DNS security (DNSSEC) and other powerful new DNS features; a
 particular hope is to inspire application developers towards
 innovative security solutions in their applications.
 .
 This is the full development version of the library.

Package: libgetdns6
Multi-Arch: same
Architecture: any
Depends: dns-root-data, ${misc:Depends}, ${shlibs:Depends}
Breaks: libgetdns0 (>= 0.1.5-1~)
Replaces: libgetdns0 (>= 0.1.5-1~)
Description: modern asynchronous DNS API (shared library)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  This API intends to
 offer application developers a modernized and flexible way to access
 DNS security (DNSSEC) and other powerful new DNS features; a
 particular hope is to inspire application developers towards
 innovative security solutions in their applications.
 .
 This is the runtime package of the library.

Package: getdns-utils
Architecture: any
Section: net
Depends: libgetdns6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: modern asynchronous DNS API (utils)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  This API intends to
 offer application developers a modernized and flexible way to access
 DNS security (DNSSEC) and other powerful new DNS features; a
 particular hope is to inspire application developers towards
 innovative security solutions in their applications.
 .
 This package contains getdns-query and stubby utilities.

## getdns 1.2.1

=== debian/changelog ===
getdns (1.2.1-2) unstable; urgency=medium

  [ Santiago ]
  * Update d/copyright with missing information (Closes: #861445)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Nov 2017 21:18:16 +0000

getdns (1.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Update d/watch to ignore dash in front of rc
  * Enable stubby again
  * Add missing build-depends (libyaml-dev and doxygen)
  * Split stubby into a separate package and have a simple service file to
    run it by default
  * Add new symbols from libgetdns.so.6 library
  * Override missing init.d script (feel free to provide one though)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 12 Nov 2017 02:56:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: getdns
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
@@ -9,6 +8,9 @@
                check,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-systemd,
+	       doxygen,
+               libbsd-dev,
                libev-dev,
                libevent-dev,
                libexpat-dev,
@@ -16,6 +18,7 @@
                libldns-dev,
                libunbound-dev,
                libuv1-dev,
+               libyaml-dev,
                unbound-anchor
 Standards-Version: 3.9.8
 Section: libs
@@ -26,7 +29,9 @@
 Package: libgetdns-dev
 Section: libdevel
 Architecture: any
-Depends: libgetdns6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libgetdns6 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: modern asynchronous DNS API (development)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
@@ -41,7 +46,9 @@
 Package: libgetdns6
 Multi-Arch: same
 Architecture: any
-Depends: dns-root-data, ${misc:Depends}, ${shlibs:Depends}
+Depends: dns-root-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libgetdns0 (>= 0.1.5-1~)
 Replaces: libgetdns0 (>= 0.1.5-1~)
 Description: modern asynchronous DNS API (shared library)
@@ -58,7 +65,10 @@
 Package: getdns-utils
 Architecture: any
 Section: net
-Depends: libgetdns6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libgetdns6 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: stubby
 Description: modern asynchronous DNS API (utils)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
@@ -68,4 +78,23 @@
  particular hope is to inspire application developers towards
  innovative security solutions in their applications.
  .
- This package contains getdns-query and stubby utilities.
+ This package contains getdns-query utility.
+
+Package: stubby
+Architecture: any
+Section: net
+Depends: libgetdns6 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: getdns-utils (<< 1.2.1-1~)
+Replaces: getdns-utils (<< 1.2.1-1~)
+Description: modern asynchronous DNS API (stub resolver)
+ getdns is a modern asynchronous DNS API.  It implements DNS entry
+ points from a design developed and vetted by application developers,
+ in an API specification edited by Paul Hoffman.  This API intends to
+ offer application developers a modernized and flexible way to access
+ DNS security (DNSSEC) and other powerful new DNS features; a
+ particular hope is to inspire application developers towards
+ innovative security solutions in their applications.
+ .
+ This package contains stubby daemon - the DNS Privacy Stub Resolver.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 %:
-	dh $@  --with autotools-dev,autoreconf
+	dh $@  --with autotools-dev,autoreconf,systemd
 
 override_dh_autoreconf:
 	automake -a || true
@@ -26,7 +26,8 @@
 		--with-libev \
 		--with-libuv \
 		--with-trust-anchor=/usr/share/dns/root.key \
-		--with-current-date="$(CURRENT_DATE)"
+		--with-current-date="$(CURRENT_DATE)" \
+		--with-stubby
 
 override_dh_install:
 	-rm -rf $(CURDIR)/debian/tmp/usr/share/doc

## getdns 1.3.0

=== debian/changelog ===
getdns (1.3.0-1) unstable; urgency=medium

  * new upstream release
  * update symbols
  * clean up additional failure reports
  * do not need lintian override for stubby initscript
  * avoid privacy leak to creativecommons when reading docs
  * stubby: completely ephemeral user account
  * add libgetdns-dev.doc-base
  * add hardening flags
  * fix upstream typo
  * added autopkgtest burn-in test for stubby

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Feb 2018 06:08:08 -0500

getdns (1.2.1-3) unstable; urgency=medium

  * wrap-and-sort -ast
  * d/control: Maintainer to getdns@packages.debian.org
  * Standards-Version: bump to 4.1.3 (Priority → optional)
  * move to debhelper 11
  * d/control: move Vcs-* to salsa.debian.org
  * d/copyright: Format: use https
  * d/copyright: Source: use https
  * drop unnecessary build-deps due to debhelper 11
  * clean up d/copyright
  * d/rules: include pkg-info.mk, drop dpkg-parsechangelog
  * d/rules: use dh_missing explicitly
  * add Documentation= to stubby.service

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Feb 2018 04:19:03 -0500

=== debian/control ===
Source: getdns
Priority: optional
Maintainer: getdns packagers <getdns@packages.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Scott Kitterman <scott@kitterman.com>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 check,
 debhelper (>= 11~),
 doxygen,
 libbsd-dev,
 libev-dev,
 libevent-dev,
 libexpat-dev,
 libidn11-dev,
 libldns-dev,
 libunbound-dev,
 libuv1-dev,
 libyaml-dev,
 unbound-anchor,
Standards-Version: 4.1.3
Section: libs
Homepage: https://getdnsapi.net/
Vcs-Git: https://salsa.debian.org/dns-team/getdns.git
Vcs-Browser: https://salsa.debian.org/dns-team/getdns

Package: libgetdns-dev
Section: libdevel
Architecture: any
Depends:
 libgetdns6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: modern asynchronous DNS API (development)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  This API intends to
 offer application developers a modernized and flexible way to access
 DNS security (DNSSEC) and other powerful new DNS features; a
 particular hope is to inspire application developers towards
 innovative security solutions in their applications.
 .
 This is the full development version of the library.

Package: libgetdns6
Multi-Arch: same
Architecture: any
Depends:
 dns-root-data,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgetdns0 (>= 0.1.5-1~),
Replaces:
 libgetdns0 (>= 0.1.5-1~),
Description: modern asynchronous DNS API (shared library)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  This API intends to
 offer application developers a modernized and flexible way to access
 DNS security (DNSSEC) and other powerful new DNS features; a
 particular hope is to inspire application developers towards
 innovative security solutions in their applications.
 .
 This is the runtime package of the library.

Package: getdns-utils
Architecture: any
Section: net
Depends:
 libgetdns6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 stubby,
Description: modern asynchronous DNS API (utils)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  This API intends to
 offer application developers a modernized and flexible way to access
 DNS security (DNSSEC) and other powerful new DNS features; a
 particular hope is to inspire application developers towards
 innovative security solutions in their applications.
 .
 This package contains getdns-query utility.

Package: stubby
Architecture: any
Section: net
Depends:
 libgetdns6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 getdns-utils (<< 1.2.1-1~),
Replaces:
 getdns-utils (<< 1.2.1-1~),
Description: modern asynchronous DNS API (stub resolver)
 getdns is a modern asynchronous DNS API.  It implements DNS entry
 points from a design developed and vetted by application developers,
 in an API specification edited by Paul Hoffman.  This API intends to
 offer application developers a modernized and flexible way to access
 DNS security (DNSSEC) and other powerful new DNS features; a
 particular hope is to inspire application developers towards
 innovative security solutions in their applications.
 .
 This package contains stubby daemon - the DNS Privacy Stub Resolver.

=== debian/tests/control ===
Tests: stubby
Depends: stubby, kdig

## getdns 1.4.0

=== debian/changelog ===
getdns (1.4.0-1) unstable; urgency=medium

  * new upstream release
  * move to DEP-14 repository layout, update README.source
  * install getdns_server_mon and manpage for stubby
  * clean up src/stubby.1
  * SONAME bump: libgetdns6 → libgetdns10
  * added symbols for {set,get}_tls_curves_list
  * move from libidn to libidn2

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 23 Feb 2018 12:22:22 -0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libev-dev,
  libevent-dev,
  libexpat-dev,
- libidn11-dev,
+ libidn2-dev,
  libldns-dev,
  libunbound-dev,
  libuv1-dev,
@@ -29,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libgetdns6 (= ${binary:Version}),
+ libgetdns10 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: modern asynchronous DNS API (development)
@@ -43,7 +43,7 @@
  .
  This is the full development version of the library.
 
-Package: libgetdns6
+Package: libgetdns10
 Multi-Arch: same
 Architecture: any
 Depends:
@@ -69,7 +69,7 @@
 Architecture: any
 Section: net
 Depends:
- libgetdns6 (= ${binary:Version}),
+ libgetdns10 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -89,7 +89,7 @@
 Architecture: any
 Section: net
 Depends:
- libgetdns6 (= ${binary:Version}),
+ libgetdns10 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(-?(rc|b|a)\d+)$/~$1/ \
https://getdnsapi.net/dist/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## getdns 1.4.1

=== debian/changelog ===
getdns (1.4.1-1) unstable; urgency=medium

  * new upstream release
  * correct autopkgtest dependencies

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 16 Mar 2018 11:47:20 +0000

## getdns 1.4.2

=== debian/changelog ===
getdns (1.4.2-1build1) disco; urgency=medium

  * No-change rebuild against libunbound8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Nov 2018 09:00:58 +0000

getdns (1.4.2-1) unstable; urgency=medium

  * new upstream bugfix release
  * standards-version: bump to 4.1.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 18 Jun 2018 16:43:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: getdns
 Priority: optional
-Maintainer: getdns packagers <getdns@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: getdns packagers <getdns@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Scott Kitterman <scott@kitterman.com>,
@@ -19,7 +20,7 @@
  libuv1-dev,
  libyaml-dev,
  unbound-anchor,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: libs
 Homepage: https://getdnsapi.net/
 Vcs-Git: https://salsa.debian.org/dns-team/getdns.git

## getdns 1.5.1

=== debian/changelog ===
getdns (1.5.1-1build1) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:55:29 +0000

getdns (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update symbols for new release
  * Bump standards-version to 4.3.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 24 Jan 2019 02:36:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: getdns
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: getdns packagers <getdns@packages.debian.org>
+Maintainer: getdns packagers <getdns@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Scott Kitterman <scott@kitterman.com>,
@@ -20,7 +19,7 @@
  libuv1-dev,
  libyaml-dev,
  unbound-anchor,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://getdnsapi.net/
 Vcs-Git: https://salsa.debian.org/dns-team/getdns.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

CURRENT_DATE=$(shell date -u --rfc-3339=seconds --date "@$SOURCE_DATE_EPOCH")

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	automake -a || true
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-libevent \
		--with-libev \
		--with-libuv \
		--with-trust-anchor=/usr/share/dns/root.key \
		--with-current-date="$(CURRENT_DATE)" \
		--with-stubby

override_dh_install:
	-rm -rf $(CURDIR)/debian/tmp/usr/share/doc
	dh_install -X.la

override_dh_missing:
	dh_missing -X.la --fail-missing

override_dh_auto_test:
	# remote tests fail when there's no connectivity or the connectivity is restrained
	-dh_auto_test

=== debian/tests/control ===
Tests: stubby
Depends: stubby, knot-dnsutils
